Submit auth checklist
curl --request POST \
--url https://api.prod.finverse.net/mandates/auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ciphertext": "<string>",
"envelope_encryption_key": "<string>",
"initialization_vector": "<string>",
"key_id": "<string>",
"message_authentication_code": "<string>"
}
'import requests
url = "https://api.prod.finverse.net/mandates/auth"
payload = {
"ciphertext": "<string>",
"envelope_encryption_key": "<string>",
"initialization_vector": "<string>",
"key_id": "<string>",
"message_authentication_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ciphertext: '<string>',
envelope_encryption_key: '<string>',
initialization_vector: '<string>',
key_id: '<string>',
message_authentication_code: '<string>'
})
};
fetch('https://api.prod.finverse.net/mandates/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_checklist": [
{
"group_id": "<string>",
"options": [
{
"name": "INSTITUTION_CREDENTIALS_LOGIN",
"redirect_url": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"submitted_by": "CUSTOMER_APP"
}
],
"required": "YES",
"type": "ACCOUNT_IDENTIFICATION",
"helper_text": "<string>"
}
],
"last_update": "2023-11-07T05:31:56Z",
"mandate_id": "<string>",
"mandate_status": "CREATED"
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Mandates
Submit auth checklist
Submit authorization checklist items
POST
/
mandates
/
auth
Submit auth checklist
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
request body for submitting auth checklist
The encrypted payload that contains auth checklist items
The encrypted envelope key
Maximum string length:
1000The initialization vector used for enncrypting the payload
Maximum string length:
100The key_id that was used to encrypt the envelope key
Maximum string length:
100The authentication code is used to authenticate the origin of the message
Maximum string length:
100Response
Successful
Checklist of the authorization factors needed to complete Mandate authorization
Show child attributes
Show child attributes
Timestamp in ISO format (YYYY-MM-DDTHH:MM:SS.SSSZ)
Finverse Mandate ID
Mandate status
Available options:
CREATED, PROCESSING, SUBMITTED, ERROR